## org.codehaus.groovy.runtime
Class ReverseListIterator

    java.lang.Object
      org.codehaus.groovy.runtime.ReverseListIterator

All Implemented Interfaces:
  Iterator

    public class ReverseListIterator

extends Object
implements Iterator

A reverse iterator over a list. Utilizes the `ListIterator` obtained from the provided `List` and converts it to an `Iterator` that efficiently traverses the `List` in reverse. The fail-fast semantics of this iterator are the same as the semantics of the underlying `ListIterator`.

Author:
  Mike Dillon

Constructor Summary
`ReverseListIterator(List list)` Constructs a new `ReverseListIterator` for the provided list.

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReverseListIterator

    public ReverseListIterator(List list)

  Constructs a new `ReverseListIterator` for the provided list.

  Parameters:
    `list` - the list to iterate over in reverse

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Copyright © 2003-2008 The Codehaus. All rights reserved.